BizKitHub
DocsAPI ReferenceContact/bff/contact/check-email-availability
postContactAdmin BFF

/bff/contact/check-email-availability

Normalizes the candidate e-mail via fixEmail() and reports whether it is empty, invalid, available, or already taken by another contact in the organisation. Designed for live ajax feedback as the operator types into the create-contact form.

ContactpostBffContactCheck-email-availability

Parameters

JSON body

Request body

application/json
emailstringRequired

Candidate e-mail address (may be unnormalized).

Response schema

1 status code documented

200Success

This response returns no JSON body.

Response example

application/json
{
  "success": true
}

Request example

POST /bff/contact/check-email-availability

post
curl -X POST "https://api.bizkithub.com/bff/contact/check-email-availability" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -d '{
  "email": "example_email"
}'

Need an API key?

All BizKitHub public API endpoints require authentication via API key.

Get API Key